
import SwiftUI
import UIKit
let H = UIScreen.main.bounds.height
let W = UIScreen.main.bounds.width


struct ui: View {
    var body: some View {
        GeometryReader { geometry in
            HScrollViewController(pageWidth: geometry.size.width, contentSize: CGSize(width: geometry.size.width * 2 ,height:  geometry.size.height)) {
                HStack{
                    Rectangle()
                        .frame(width: W - 20 ,height: 150)
                        .foregroundColor(.red)
                        .padding(.leading ,10)
                    Rectangle()
                        .frame(width: W - 20 ,height: 150)
                        .foregroundColor(.blue)
                        .padding(.horizontal , 10)
                }
                
            }
        }.animation(.linear)
    }
}
struct ui_Previews: PreviewProvider {
    static var previews: some View {
        ui()
    }
}

